UUID_TIME(3)

NAME
uuid_time - extract the time at which the UUID was created

SYNOPSIS
#include <uuid.h>

time_t uuid_time(uuid_t uu, struct timeval *ret_tv)

DESCRIPTION
The uuid_time function extracts the time at which the supplied time-based UUID uu was created. Note that the UUID creation time is only encoded within certain types of UUIDs. This function can only reasonably expect to extract the creation time for UUIDs created with the uuid_generate_time(3) and uuid_generate_time_safe(3) functions. It may or may not work with UUIDs created by other mechanisms.

RETURN VALUES
The time at which the UUID was created, in seconds since January 1, 1970 GMT (the epoch), is returned (see time(2)). The time at which the UUID was created, in seconds and microseconds since the epoch, is also stored in the location pointed to by ret_tv (see gettimeofday(2)).

AUTHOR
Theodore Y. Ts'o

AVAILABILITY
libuuid is part of the util-linux package since version 2.15.1 and is available from https://www.kernel.org/pub/linux/utils/util-linux/.

SEE ALSO
uuid(3), uuid_clear(3), uuid_compare(3), uuid_copy(3), uuid_generate(3), uuid_is_null(3), uuid_parse(3), uuid_unparse(3)